%global drupalver 6
%{?rhel: %{expand: %%global drupal drupal%%{drupalver}}}
%if 0%{?fedora} >= 15
%global drupal drupal%{drupalver}
%endif
%{!?drupal: %{expand: %%global drupal drupal}}
# e.g. "/usr/share/drupal6"
%global drupalbase           %{_datadir}/%{drupal}
%global drupal_sites_all    %{drupalbase}/sites/all        
%global drupal_modules      %{drupal_sites_all}/modules
# Use upstream name as expressed in URL and tarball
%global modname             freelinking

Name:    drupal%{drupalver}-%{modname}
Version: 3.2
Release: 2%{?dist}
Summary: Freelinking Module for Drupal6
Group:   Applications/Publishing
License: GPLv2
URL:     http://drupal.org/project/%{modname}
Source0: http://ftp.drupal.org/files/projects/%{modname}-%{drupalver}.x-%{version}.tar.gz
Source1: %{name}-fedora-README.txt
Source2: LICENSE.txt
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  drupal6

%description
The freelinking module implements a filter for the easier creation of HTML
links to other pages.

%prep
%setup -qn %{modname}

%build
cp %{SOURCE1} .
cp %{SOURCE2} .

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupal_modules}/%{modname}
find . -type f -exec install -m 0644 -D '{}' %{buildroot}%{drupal_modules}/%{modname}/'{}' \;

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc %{name}-fedora-README.txt
%doc LICENSE.txt
%exclude %{drupal_modules}/%{modname}/%{name}-fedora-README.txt
%exclude %{drupal_modules}/%{modname}/LICENSE.txt
%{drupal_modules}/%{modname}

%changelog
* Tue Jun 5 2012 Anderson Silva <ansilva@redhat.com> - 3.2-2
- Fix LICENSE.txt FSF address
* Tue Apr 3 2012 Anderson Silva <ansilva@redhat.com> - 3.2-1
- Initial rpm package
